import React from "react";

import { getAllBooks, SimpleBook } from "../lib/books";

export default function Home(props: Props) {
  return (
    <ul>
      {props.books.map((book, idx) => {
        return (
          <li key={`${idx}_${book.id}`}>
            {book.id}; {book.title}; {book.authors}; {book.isbn}
          </li>
        );
      })}
    </ul>
  );
}

interface Props {
  books: SimpleBook[];
}

export async function getServerSideProps() {
  return {
    props: {
      books: await getAllBooks(),
    },
  };
}
